Centos 7 安装PHP 7 --skip-broken 问题解决

安装步骤:

1.卸载老版本php

yum remove php* php-common


2.rpm 安装 Php7 相应的 yum  

rpm -Uvh https://mirror.webtatic.com/yum/el7/webtatic-release.rpm     


3.安装新版本:

yum install php70w


遇到问题:

已加载插件:langpacks

正在解决依赖关系

--> 正在检查事务

---> 软件包 php70w.x86_64.0.7.0.5-1.w6 将被 安装

--> 正在处理依赖关系 php70w-common(x86-64) = 7.0.5-1.w6,它被软件包 php70w-7.0.5-1.w6.x86_64 需要

--> 正在处理依赖关系 php70w-cli(x86-64) = 7.0.5-1.w6,它被软件包 php70w-7.0.5-1.w6.x86_64 需要

--> 正在处理依赖关系 php70w-cli = 7.0.5-1.w6,它被软件包 php70w-7.0.5-1.w6.x86_64 需要

--> 正在处理依赖关系 httpd-mmn = 20051115,它被软件包 php70w-7.0.5-1.w6.x86_64 需要

--> 正在检查事务

---> 软件包 php70w.x86_64.0.7.0.5-1.w6 将被 安装

--> 正在处理依赖关系 httpd-mmn = 20051115,它被软件包 php70w-7.0.5-1.w6.x86_64 需要

---> 软件包 php70w-cli.x86_64.0.7.0.5-1.w6 将被 安装

---> 软件包 php70w-common.x86_64.0.7.0.5-1.w6 将被 安装

--> 正在处理依赖关系 libgmp.so.3()(64bit),它被软件包 php70w-common-7.0.5-1.w6.x86_64 需要

--> 解决依赖关系完成

错误:软件包:php70w-common-7.0.5-1.w6.x86_64 (webtatic)

          需要:libgmp.so.3()(64bit)

错误:软件包:php70w-7.0.5-1.w6.x86_64 (webtatic)

          需要:httpd-mmn = 20051115

          已安装: httpd-2.4.6-31.el7.centos.1.x86_64 (@updates)

              httpd-mmn = 20120211

              httpd-mmn = 20120211x8664

              httpd-mmn = 20120211-x86-64

          可用: httpd-2.4.6-40.el7.centos.x86_64 (base)

              httpd-mmn = 20120211x8664

              httpd-mmn = 20120211-x86-64

              httpd-mmn = 20120211

 您可以尝试添加 --skip-broken 选项来解决该问题

 您可以尝试执行:rpm -Va --nofiles --nodigest



解决方法:

运行如下命令:

yum clean all


再安装:

yum install php70w



ok 搞定!



全部评论

联系我们

025-66041049

在线咨询:点击这里给我发消息

邮件:face2obejct@gmail.com

工作时间:8:00-23:50

QR code